Has patch:
Affected Flow version:
Subject: Widget Bootstrapper Call to undefined method Tx_Extbase_Object_Container_Container::getContainer()
Description

When calling a ajax widget i recieve this error:

Call to undefined method Tx_Extbase_Object_Container_Container::getContainer()

I looked into the class and couldn't find such a method.

I replaced it with this:

$objectContainer = t3lib_div::makeInstance('Tx_Extbase_Object_Container_Container');
$objectContainer->registerImplementation($originalClassName, $classConfiguration['className']);

and everything works fine.

Patch attached.

History
#1 - 2011-01-14 12:11 - Kevin Ulrich Moschallski
- File 12210.patch added

#2 - 2011-01-21 14:18 - Kevin Ulrich Moschallski

Duplicate of #11991.
Can be closed.

#3 - 2011-01-21 14:34 - Sebastian Kurfuerst
- Status changed from New to Closed

Files
12210.patch 780 Bytes 2011-01-14 Kevin Ulrich Moschallski
